### Enumeration

# Gcr CertificateChainStatus

#### Declaration

    enum Gcr.CertificateChainStatus

#### Description [src]

The status of a built certificate chain. Will be set to `GCR_CERTIFICATE_CHAIN_UNKNOWN` for certificate chains that have not been built.

#### Members

`GCR_CERTIFICATE_CHAIN_UNKNOWN`

  The certificate chain’s status is unknown. When a chain is not yet built it has this status. If a chain is modified after being built, it has this status.

  - Value: `0`
  - Available since: 4
`GCR_CERTIFICATE_CHAIN_INCOMPLETE`

  A full chain could not be loaded. The chain does not end with a self-signed certificate, a trusted anchor, or a pinned certificate.

  - Value: `1`
  - Available since: 4
`GCR_CERTIFICATE_CHAIN_DISTRUSTED`

  The certificate chain contains a revoked or otherwise explicitly distrusted certificate. The entire chain should be distrusted.

  - Value: `2`
  - Available since: 4
`GCR_CERTIFICATE_CHAIN_SELFSIGNED`

  The chain ends with a self-signed certificate. No trust anchor was found.

  - Value: `3`
  - Available since: 4
`GCR_CERTIFICATE_CHAIN_PINNED`

  The chain represents a pinned certificate. A pinned certificate is an exception which trusts a given certificate explicitly for a purpose and communication with a certain peer.

  - Value: `4`
  - Available since: 4
`GCR_CERTIFICATE_CHAIN_ANCHORED`

  The chain ends with an anchored certificate. The anchored certificate is not necessarily self-signed.

  - Value: `5`
  - Available since: 4